Subject: [mpls] doubt regarding RFC 3032

From: shilpa goel <[email-masked]>
Date: Fri, 10 Nov 2006 13:40:38 +0530

hi,

 I am not clear with Section 2.3.2 of RFC 3032 which states that
"Unless the message is
  label switched all the way to the destination host, it will end up,
unlabeled, in a router which does know how to route to the source of
original packet, at which point the message will be sent in the proper
direction.".
How will the ICMP packet find its way to the source?

regards,
Shilpa

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: shilpa goel <[email-masked]>
Date: Tue, 14 Nov 2006 16:36:58 +0530

X-Scan-From [email-masked] Tue Nov 14 06:14:49 2006
Date: Tue, 14 Nov 2006 16:36:58 +0530
From: shilpa goel <[email-masked]>
Subject: Re: [mpls] doubt regarding RFC 3032
To: "Pal, Anjaneya (Anjaneya)" <[email-masked]>
Cc: [email-masked]

What is meant "by any other means"?

Also, is it possible that IP forwarding may be required to route the
ICMP packet in the proper direction to the source i.e. if the LSP is
not end-to-end and the labeled packet becomes unlabeled in b/w (as
indicated in Section 2.3.2 of rfc 3032). If so, then how will it be
routed considering that the destination IP address can be a private
address?

thanks,
Shilpa

On 11/14/06, Pal, Anjaneya (Anjaneya) <[email-masked]> wrote:
> Refering to the prev e.g. , I think if the two private IP address P1 & P2
> want to do a two-way communication, R1 and R4 should know how to forward the
> packet destined to P2/P1, either through a mpls tunnel or by someother
> means. So when then ICMP packet reaches R4, with a IP destination addr as
> P1,  R4 will surely know how to direct this in the proper direction, either
> using a mpls tunnel or my any other means.
>
> Regards,
>
> Anjan
>
>
>
> Thanks for the example:)
>
> This is clear to me that ICMP packet will be routed properly only if a
> bi-directional LSP exist between the source and the destination.
>
> But if this is not the case, then how will the ICMP packet be routed
> to the source.
>
> Please clarify.
>
> Shilpa
>
> On 11/13/06, Pal, Anjaneya (Anjaneya) <[email-masked]> wrote:
> > Hi Shilpa,
> >
> > I shall try to explain this (as per my understanding) using an eg.
> >
> > Consider the following topology
> >
> >
> >
> >
> >       *******           *******          ********        ********
> >       * R1  *-----------* R2  *----------* R3   *--------* R4   *
> >    +--*     *-----------*     *----------*      *--------*      *--+
> >    |  *******           *******          ********        ********  |
> >    |                                                               |
> >    |                                                               |
> >    |                                                               |
> > +--+--+                                                         +--+--+
> > |P1   |                                                         |P2   |
> > |     |                                                         |     |
> > +-----+                                                         +-----+
> >
> >
> >
> > P1 & P2 are private ip addresses. For P1 & P2 to communicate through the
> > public network (consisting
> >  of routers R1, R2, R3 & R4), two mpls tunnel will be created, R1 to R4
> and
> > vice-versa.
> > Now R1 will direct packets destined to P2 over the tunnel-R1-to-R4.
> Similary
> > R4 can direct packets
> > destined to P1 over tunnel-R4-to-R1.
> >
> > Now consider the following scenario,
> > P1 sends an IP packet to P2. R1 will direct it over the mpls tunnel
> > "tunnel-R1-to-R4".
> > Lets assume when R2 recieves this mpls packet from R1, it needs to send a
> > ICMP message to P1. Now R2 generates the ICMP message, copies the
> > label-stack to this packet. This way the ICMP packet will follow the
> tunnel
> > "tunnel-R1-to-R4" & reach R4 where it will be unlabeled (after the bottom
> > label is popped out). Now as per the RFC, R4 will send the ICMP message in
> > proper direction i.e. towards P1 and it is possible because R4 can simply
> > direct the ICMP packet over the tunnel "tunnel-R4-to-R1" and the packet
> will
> > reach R1 which can in-turn route the ICMP packet to P1.
> >
> > Regards,
> > Anjan
> >
> >
> >
> >
> >
> > -----Original MessaSignature: b132cb3ed2d4be2017585bf6859e1ede
X-Mailman-Approved-At: Tue, 14 Nov 2006 06:13:58 -0500
Cc: [email-masked]
X-BeenThere: [email-masked]
X-Mailman-Version: 2.1.5
List-Id: Multi-Protocol Label Switching WG <mpls.lists.ietf.org>
List-Unsubscribe: <https://www1.ietf.org/mailman/listinfo/mpls>,
	<mailto:[email-masked]?subject=unsubscribe>
List-Archive: <http://www1.ietf.org/pipermail/mpls>
List-Post: <mailto:[email-masked]>
List-Help: <mailto:[email-masked]?subject=help>
List-Subscribe: <https://www1.ietf.org/mailman/listinfo/mpls>,
	<mailto:[email-masked]?subject=subscribe>
Errors-To: [email-masked]

What is meant "by any other means"?

Also, is it possible that IP forwarding may be required to route the
ICMP packet in the proper direction to the source i.e. if the LSP is
not end-to-end and the labeled packet becomes unlabeled in b/w (as
indicated in Section 2.3.2 of rfc 3032). If so, then how will it be
routed considering that the destination IP address can be a private
address?

thanks,
Shilpa

On 11/14/06, Pal, Anjaneya (Anjaneya) <[email-masked]> wrote:
> Refering to the prev e.g. , I think if the two private IP address P1 & P2
> want to do a two-way communication, R1 and R4 should know how to forward the
> packet destined to P2/P1, either through a mpls tunnel or by someother
> means. So when then ICMP packet reaches R4, with a IP destination addr as
> P1,  R4 will surely know how to direct this in the proper direction, either
> using a mpls tunnel or my any other means.
>
> Regards,
>
> Anjan
>
>
>
> Thanks for the example:)
>
> This is clear to me that ICMP packet will be routed properly only if a
> bi-directional LSP exist between the source and the destination.
>
> But if this is not the case, then how will the ICMP packet be routed
> to the source.
>
> Please clarify.
>
> Shilpa
>
> On 11/13/06, Pal, Anjaneya (Anjaneya) <[email-masked]> wrote:
> > Hi Shilpa,
> >
> > I shall try to explain this (as per my understanding) using an eg.
> >
> > Consider the following topology
> >
> >
> >
> >
> >       *******           *******          ********        ********
> >       * R1  *-----------* R2  *----------* R3   *--------* R4   *
> >    +--*     *-----------*     *----------*      *--------*      *--+
> >    |  *******           *******          ********        ********  |
> >    |                                                               |
> >    |                                                               |
> >    |                                                               |
> > +--+--+                                                         +--+--+
> > |P1   |                                                         |P2   |
> > |     |                                                         |     |
> > +-----+                                                         +-----+
> >
> >
> >
> > P1 & P2 are private ip addresses. For P1 & P2 to communicate through the
> > public network (consisting
> >  of routers R1, R2, R3 & R4), two mpls tunnel will be created, R1 to R4
> and
> > vice-versa.
> > Now R1 will direct packets destined to P2 over the tunnel-R1-to-R4.
> Similary
> > R4 can direct packets
> > destined to P1 over tunnel-R4-to-R1.
> >
> > Now consider the following scenario,
> > P1 sends an IP packet to P2. R1 will direct it over the mpls tunnel
> > "tunnel-R1-to-R4".
> > Lets assume when R2 recieves this mpls packet from R1, it needs to send a
> > ICMP message to P1. Now R2 generates the ICMP message, copies the
> > label-stack to this packet. This way the ICMP packet will follow the
> tunnel
> > "tunnel-R1-to-R4" & reach R4 where it will be unlabeled (after the bottom
> > label is popped out). Now as per the RFC, R4 will send the ICMP message in
> > proper direction i.e. towards P1 and it is possible because R4 can simply
> > direct the ICMP packet over the tunnel "tunnel-R4-to-R1" and the packet
> will
> > reach R1 which can in-turn route the ICMP packet to P1.
> >
> > Regards,
> > Anjan
> >
> >
> >
> >
> >
> > -----Original Message-----
> > From: shilpa goel [mailto:[email-masked]]
> > Sent: Fri 11/10/2006 1:40 PM
> > To: [email-masked]
> > Subject: [mpls] doubt regarding RFC 3032
> >
> > hi,
> >